Grand Magister Devon:
To take the Test of the Dark Wizard, you'll have to find the Shamaness Varika in the Dark Forest. To change profession, you must pass the test she gives and bring back the jewel of darkness as a token. She stays at the altar of the Dark Forest.
To get to the altar, take the road north. Then you will come to the Dark Forest. Enter the forest and go down the road until you come to a road that forks to the east. Take that road until you arrive at the altar.
Return